Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IModifierConstants

public interface IModifierConstants

Definition of the modifier constants as specified in the JVM specifications. This interface is not intended to be implemented by clients.

Since:
  2.0

Field Summary
`static int` | `ACC_ABSTRACT`
`static int` | `ACC_ANNOTATION` Indicates an annotation (added in J2SE 1.5).
`static int` | `ACC_BRIDGE` Indicates a bridge method (added in J2SE 1.5).
`static int` | `ACC_ENUM` Indicates an enum (added in J2SE 1.5).
`static int` | `ACC_FINAL`
`static int` | `ACC_INTERFACE`
`static int` | `ACC_NATIVE`
`static int` | `ACC_PRIVATE`
`static int` | `ACC_PROTECTED`
`static int` | `ACC_PUBLIC`
`static int` | `ACC_STATIC`
`static int` | `ACC_STRICT`
`static int` | `ACC_SUPER`
`static int` | `ACC_SYNCHRONIZED`
`static int` | `ACC_SYNTHETIC` Indicates a synthetic member.
`static int` | `ACC_TRANSIENT`
`static int` | `ACC_VARARGS` Indicates a variable arity method (added in J2SE 1.5).
`static int` | `ACC_VOLATILE`

Field Detail

### ACC_PUBLIC

    public static final int ACC_PUBLIC

See Also:
  Constant Field Values

### ACC_PRIVATE

    public static final int ACC_PRIVATE

See Also:
  Constant Field Values

### ACC_PROTECTED

    public static final int ACC_PROTECTED

See Also:
  Constant Field Values

### ACC_STATIC

    public static final int ACC_STATIC

See Also:
  Constant Field Values

### ACC_FINAL

    public static final int ACC_FINAL

See Also:
  Constant Field Values

### ACC_SUPER

    public static final int ACC_SUPER

See Also:
  Constant Field Values

### ACC_SYNCHRONIZED

    public static final int ACC_SYNCHRONIZED

See Also:
  Constant Field Values

### ACC_VOLATILE

    public static final int ACC_VOLATILE

See Also:
  Constant Field Values

### ACC_BRIDGE

    public static final int ACC_BRIDGE

  Indicates a bridge method (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

### ACC_TRANSIENT

    public static final int ACC_TRANSIENT

See Also:
  Constant Field Values

### ACC_VARARGS

    public static final int ACC_VARARGS

  Indicates a variable arity method (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

### ACC_NATIVE

    public static final int ACC_NATIVE

See Also:
  Constant Field Values

### ACC_INTERFACE

    public static final int ACC_INTERFACE

See Also:
  Constant Field Values

### ACC_ABSTRACT

    public static final int ACC_ABSTRACT

See Also:
  Constant Field Values

### ACC_STRICT

    public static final int ACC_STRICT

See Also:
  Constant Field Values

### ACC_SYNTHETIC

    public static final int ACC_SYNTHETIC

  Indicates a synthetic member.

  Since:
    3.0
  See Also:
    Constant Field Values

### ACC_ANNOTATION

    public static final int ACC_ANNOTATION

  Indicates an annotation (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

### ACC_ENUM

    public static final int ACC_ENUM

  Indicates an enum (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.